## Half
A Half component

## Usage

```javascript
import { Half, Title } from '@dragonchain-dev/dragon-kit'

<Half illustration={{ src: "https://images.dragonchain.com/illustration.svg" }} />

<Half>
  <Title tag="h3">Content Title</Title>
  <p>content</p>
</Half>

<Half
  stack
  illustration={{
    middle: true,
    center: true,
    src: "https://images.dragonchain.com/illustration.svg",
  }}
>
  <p>content</p>
</Half>
```

## Properties

**illustration**

Add an illustration using the full path of image or svg.

```
{
  src: string,
  center: boolean,
  middle: boolean,
  className: string
}
```

**photo**

Add a photo using the full photo path

```
{
  src: string,
  middle: boolean
}
```

**center**

Center content

```
boolean
```

**middle**

Align content to middle

```
boolean
```

**stack**

Stack an illustration and content

```
boolean
```

**children**

Half content

```
node
```
  